//	BWindow.h

#pragma once

#include <LWindow.h>

class OutPoint;

class BWindow :
	public LWindow
{
protected:
	OutPoint			*aPoint;
public:
	enum {
		class_ID = 'BWin'
	};

	static BWindow		*CreateBWindowStream(
							LStream *stream)
						{
							return new BWindow(stream);
						}

						BWindow(
							LStream *stream) : LWindow(stream)
						{
							aPoint = NULL;
						}
	virtual				~BWindow()
						{
							if (aPoint) {
								delete aPoint;
							}
						}

	void				SetOutPoint(
							OutPoint *point)
						{
							aPoint = point;
						}

	void				ListenToMessage(
							MessageT inMessage,
							void *ioParam);
};

