//	DrawPoint.cpp

#include "DrawPoint.h"
#include "APane.h"


struct DataDesc {
	long	rowBytes;
	long	rowSize;
	long	numRows;
	long	xPos;
	long	yPos;
	unsigned char data[4]; // actually more...
};


DrawPoint::DrawPoint(
	const char *protocol,
	const char *address,
	short port,
	APane *aPane) :
	InPoint(protocol, address, port)
{
	fPane = aPane;
}


void
DrawPoint::DoSomethingWithTheData(
	void *data,
	long size)
{
	DataDesc *desc = (DataDesc *)data;

	if (fPane) {
		fPane->SetData(desc->data, desc->rowBytes, desc->rowSize, desc->numRows, desc->xPos, desc->yPos);
	}
}
